The ivtvctl command (formerly 'test_ioctl') allows many aspects of the 
ivtv module suite to be controlled. Usually the uppercase variant of an 
option returns information whilst the lowercase variant sets it.

The following usage is taken from the 0.3.7b release

  -A, --list-audio-inputs
                     display audio inputs [VIDIOC_ENUMAUDIO]
  -a, --all          display all information available
  -B, --get-vbi      query the current VBI mode [IVTV_G_VBI_MODE]
  -b, --set-vbi=<mode>
                     set the current VBI mode to <mode> [IVTV_S_VBI_MODE]
                     <mode> is a comma separated list of:
                     raw:      raw VBI mode
                     teletext: sliced teletext
                     cc:       sliced closed caption
                     wss:      sliced widescreen signal
                     vps:      sliced vps
  -C, --list-codec-params
                     display the current codec parameters [IVTV_IOC_G_CODEC]
  -c, --set-codec-params=[param],[param],...
                     set the current codec parameters [IVTV_IOC_S_CODEC]
     param:
       aspect        =<#> aspect ratio (try 3)
       audio         =<#> sets audio bitmask (try 0xE9)
       bframes       =<#> number of B frames
       bitrate       =<#> bitrate (DVD max = 9.6Mbps)
       bitrate_peak  =<#> peak bitrate (must be greater than bitrate)
       dnr_mode      =<#> see API documentation
       dnr_spatial   =<#> see API documentation
       dnr_temporal  =<#> see API documentation
       dnr_type      =<#> see API documentation
       framerate     =<#> try 0 (30fps) or 1 (25fps)
       framespergop  =<#> GOP size
       gop_closure   =<#> open/closed gop
       pulldown      =<#> inverse telecine on (1) / off (0)
       stream_type   =<#> see ivtv.h IVTV_STREAM_* types (try 10 for DVD, or 0 for PS)
  -d, --device=<dev> use device <dev> instead of /dev/video0
  -F, --get-format   query the current data format [VIDIOC_G_FMT]
  -f, --set-format=width=<x>,height=<y>
                     set the current data format [VIDIOC_S_FMT]
  -h, --help         display this help message
  -K, --passthrough=<mode>
                     set passthrough mode: 1 = on, 0 = off [IVTV_IOC_PASSTHROUGH]
  -L, --get-output   query the current video output [VIDIOC_G_OUTPUT]
  -l, --set-output=<num>
                     set the current video output to <num> [VIDIOC_S_OUTPUT]
  -m, --list-capability
                     query device capabilities [VIDIOC_QUERYCAP]
  -N, --list-outputs display video outputs [VIDIOC_ENUMOUTPUT]
  -n, --list-inputs  display video inputs [VIDIOC_ENUMINPUT]
  -P, --get-input    query the current video input [VIDIOC_G_INPUT]
  -p, --set-input=<num>
                     set the current video input to <num> [VIDIOC_S_INPUT]
  -Q, --get-audio-input
                     query the current audio input [VIDIOC_G_AUDIO]
  -q, --set-audio-input=<num>
                     set the current audio input to <num> [VIDIOC_S_AUDIO]
  -R, --get-freq     query the current frequency [VIDIOC_G_FREQUENCY]
  -r, --set-freq=<freq>
                     set the current frequency to <freq> [VIDIOC_S_FREQUENCY]
  -s, --list-standards
                     display supported video standards [VIDIOC_ENUMSTD]
  -U, --get-standard
                     query the current video standard [VIDIOC_G_STD]
  -u, --set-standard=<num>
                     set the current video standard to <num> [VIDIOC_S_STD]
  -W, --get-vbi-passthrough
                     query the current VBI passthrough mode [IVTV_IOC_G_VBI_PASSTHROUGH]
  -w, --set-vbi-passthrough=<mode>
                     set the current VBI passthrough mode to <mode> [IVTV_IOC_S_VBI_PASSTHROUGH]
                     <mode> is a comma separated list of:
                     none: no passthrough
                     cc:   closed caption
                     wss:  widescreen signal
                     vps:  vps
  -X, --get-vbi-embed
                     query whether VBI data is embedded in the MPEG stream [IVTV_IOC_G_VBI_EMBED]
  -x, --set-vbi-embed=<mode>
                     set whether VBI data is embedded in the MPEG stream [IVTV_IOC_S_VBI_EMBED]
                     If 1, embed VBI data in the MPEG stream, if 0, don't.
  -Y, --list-ctrls   display all controls and their values [VIDIOC_QUERYCTRL]
  -y, --set-ctrl=[ctrl]=<val>
                     set the control to the value specified [VIDIOC_S_CTRL]
     ctrl:
       brightness    =<#> Picture brightness, or more precisely, the black level. [0 - 255]
       hue           =<#> Hue or color balance. [-128 - 127]
       saturation    =<#> Picture color saturation or chroma gain. [0 - 127]
       contrast      =<#> Picture contrast or luma gain. [0 - 127]
       volume        =<#> Overall audio volume. [0 - 65535]
       mute          =<#> Mute audio, i.e. set the volume to zero [boolean]
  -Z, --get-sapmode  query the current Secondary Audio Program [VIDIOC_G_TUNER]
  -z, --set-sapmode=<mode>
                     set the current Secondary Audio Program to <mode> [VIDIOC_S_TUNER]
                     Possible values: 0 (mono), 1 (stereo), 2 (lang2), 3 (lang1)
  --reset-ir         reset the infrared receiver [IVTV_IOC_RESET_IR]

Expert options:
  -D, --set-debug=level
                     set the module ivtv_debug variable [IVTV_IOC_S_DEBUG_LEVEL]
  -E, --end-gop      capture last GOP [IVTV_IOC_S_GOP_END]
  -e, --get-debug    query the module ivtv_debug variable [IVTV_IOC_G_DEBUG_LEVEL]
  -G, --list-registers
                     dump SAA7115 registers [SAA7115_GET_REG]
  -g, --set-register=reg=<reg>,val=<val>
                     set SAA7115 registers [SAA7115_SET_REG]
  -H, --reload       forces reload on cards firmware [IVTV_IOC_RELOAD_FW]
  -I, --input-detect
                     detect input video signal
  -i, --set-gpio=<mode>
                     set GPIO output to <mode> for debugging [0x0000-0xffff]
  -J, --list-dec-registers
                     dump SAA7127 registers [SAA7127_GET_REG]
  -j, --set-dec-register=reg=<reg>,val=<val>
                     set SAA7127 registers [SAA7127_SET_REG]
  -k, --sync         test vsync's capabilities [IVTV_IOC_FRAMESYNC]
  -O, --list-itvc-registers=min=<val>,max=<val>
                     dump ITVC registers [ITVC_GET_REG]
  -o, --set-itvc-register=reg=<reg>,val=<val>
                     set ITVC registers [ITVC_SET_REG]
  -S, --streamoff    send StreamOff API [VIDIOC_STREAMOFF]
  -V, --info         gets driver information (version) [IVTV_IOC_G_DRIVER_INFO]
  -v, --set-io=input=<in>,output=<out>
                     set the MSP34xx input/output mapping [MSP_SET_MATRIX]
